/* tslint:disable:max-line-length */
import { FuseNavigationItem } from '@fuse/components/navigation';

export const defaultNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    subtitle: 'Unique dashboard designs',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'dashboards.user',
        title: 'User',
        type: 'basic',
        icon: 'heroicons_outline:clipboard-check',
        link: '/dashboards/user',
      },
      {
        id: 'dashboards.partner',
        title: 'Partner',
        type: 'basic',
        icon: 'heroicons_outline:chart-pie',
        link: '/dashboards/partner',
      },
      {
        id: 'dashboards.finance',
        title: 'Finance',
        type: 'basic',
        icon: 'heroicons_outline:cash',
        link: '/dashboards/finance',
      },
    ],
  },
  {
    id: 'member',
    title: 'Member',
    subtitle: 'member managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'member.user',
        title: 'User',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/user',
      },
      {
        id: 'member.casino-money',
        title: 'Casino Money',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/casino-money',
      },
      {
        id: 'member.unconnected',
        title: 'Unconnected',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/unconnected',
      },
      {
        id: 'member.current-user',
        title: 'Current User',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/current-user',
      },
      {
        id: 'apps.ecommerce',
        title: 'partner-management',
        type: 'collapsable',
        icon: 'heroicons_outline:shopping-cart',
        children: [
          {
            id: 'member.partner',
            title: 'All Partner',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner/all',
          },
          {
            id: 'member.partner-mainoffice',
            title: 'Partner Mainoffice',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner/main-office',
          },
          {
            id: 'member.partner-branch',
            title: 'Partner Branch',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner/branch',
          },
          {
            id: 'member.partner-division',
            title: 'Partner Division',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner/division',
          },
          {
            id: 'member.partner-office',
            title: 'Partner Office',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner/office',
          },
          {
            id: 'member.partner-store',
            title: 'Partner Store',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner/store',
          },
          {
            id: 'member.partner-recommendation',
            title: 'Partner Recommendation',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/partner-recommendation',
          },
        ],
      },
      {
        id: 'apps.coupon',
        title: 'Coupon-management',
        type: 'collapsable',
        icon: 'heroicons_outline:shopping-cart',
        children: [
          {
            id: 'member.coupon',
            title: 'Coupon',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/coupon',
          },
          {
            id: 'member.coupon-money-log',
            title: 'Coupon Money Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/coupon-money-log',
          },
          {
            id: 'member.coupon-log',
            title: 'Coupon Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/member/coupon-log',
          },
        ],
      },
    ],
  },
  {
    id: 'bank',
    title: 'Bank',
    subtitle: 'bank managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'bank.deposit',
        title: 'Deposit',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/deposit',
      },
      {
        id: 'bank.withdraw',
        title: 'Withdraw',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/withdraw',
      },
      {
        id: 'bank.web-calculate',
        title: 'Web Calculate',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/web-calculate',
      },
      {
        id: 'bank.partner-calculate',
        title: 'Partner Calculate',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/partner-calculate',
      },
    ],
  },
  {
    id: 'game',
    title: 'Game',
    subtitle: 'game managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'game.powerball',
        title: 'Powerball',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/powerball',
      },
      {
        id: 'game.casino',
        title: 'Casino',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/casino',
      },
      {
        id: 'game.evolution',
        title: 'Evolution',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/evolution',
      },
      {
        id: 'game.slot',
        title: 'Slot',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/slot',
      },
    ],
  },

  {
    id: 'report',
    title: 'Report',
    subtitle: 'report managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'apps.report.management',
        title: 'report-management',
        type: 'collapsable',
        icon: 'heroicons_outline:calculator',
        children: [
          {
            id: 'report.daily',
            title: 'Daily',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/daily',
          },
          {
            id: 'report.monthly',
            title: 'Monthly',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/monthly',
          },
          {
            id: 'report.daily-partner',
            title: 'Daily Partner',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/daily-partner',
          },
          {
            id: 'report.today-bet',
            title: 'Today Bet',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/today-bet',
          },
          {
            id: 'report.statistics',
            title: 'Statistics',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/statistics',
          },
        ],
      },
      {
        id: 'apps.log.management',
        title: 'log-management',
        type: 'collapsable',
        icon: 'heroicons_outline:document',
        children: [
          {
            id: 'report.money-log',
            title: 'Money Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/money-log',
          },
          {
            id: 'report.comp-log',
            title: 'Comp Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/comp-log',
          },
          {
            id: 'report.modification-log',
            title: 'Modification Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/modification-log',
          },
          {
            id: 'report.payment-log',
            title: 'Payment Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/payment-log',
          },
          {
            id: 'report.sessionin-info',
            title: 'Sessionin Info',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/sessionin-info',
          },
          {
            id: 'report.sessionin-overlap',
            title: 'Sessionin Overlap',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/sessionin-overlap',
          },
          {
            id: 'report.sessionin-admin',
            title: 'Sessionin Admin',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/sessionin-admin',
          },
          {
            id: 'report.excel-log',
            title: 'Excel Log',
            type: 'basic',
            icon: 'heroicons_outline:academic-cap',
            link: '/report/excel-log',
          },
        ],
      },
      {
        id: 'report.loosing',
        title: 'Loosing',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/report/loosing',
      },
    ],
  },
  {
    id: 'board',
    title: 'Board',
    subtitle: 'board managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'board.notice',
        title: 'Notice',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/board/notice',
      },
      {
        id: 'board.notice-oneline',
        title: 'Notice Oneline',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/board/notice-oneline',
      },
      {
        id: 'board.popup',
        title: 'Popup',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/board/popup',
      },
      {
        id: 'board.message',
        title: 'Message',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/board/message',
      },
      {
        id: 'board.customer',
        title: 'Customer',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/board/customer',
      },
      {
        id: 'board.customer-template',
        title: 'Customer Template',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/board/customer-template',
      },
    ],
  },
  {
    id: 'settings',
    title: 'Settings',
    subtitle: 'site settings',
    type: 'group',
    icon: 'heroicons_outline:cog',
    children: [
      {
        id: 'settings.basic',
        title: 'Basic-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/basic',
      },
      {
        id: 'settings.ladder',
        title: 'Ladder-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/ladder',
      },
      {
        id: 'settings.game',
        title: 'Game-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/game',
      },
      {
        id: 'settings.evo',
        title: 'Evo-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/evo',
      },
      {
        id: 'settings.branch',
        title: 'Branch-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/branch',
      },
      {
        id: 'settings.indexing',
        title: 'Indexing-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/indexing',
      },
    ],
  },
];
export const compactNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    tooltip: 'Dashboards',
    type: 'aside',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    tooltip: 'Member',
    type: 'aside',
    icon: 'heroicons_outline:qrcode',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    subtitle: 'bank managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'game',
    title: 'Game',
    subtitle: 'game managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'settings',
    title: 'Settings',
    subtitle: 'site settings',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
export const futuristicNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'DASHBOARDS',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'game',
    title: 'Game',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'settings',
    title: 'Settings',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
export const horizontalNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    type: 'group',
    icon: 'heroicons_outline:qrcode',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'game',
    title: 'Game',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'settings',
    title: 'Settings',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
