import { AcademyMockApi } from 'app/mock-api/apps/academy/api';
import { ActivitiesMockApi } from 'app/mock-api/pages/activities/api';
import { AnalyticsMockApi } from 'app/mock-api/dashboards/analytics/api';
import { AuthMockApi } from 'app/mock-api/common/auth/api';
import { ChatMockApi } from 'app/mock-api/apps/chat/api';
import { ContactsMockApi } from 'app/mock-api/apps/contacts/api';
import { CryptoMockApi } from 'app/mock-api/dashboards/crypto/api';
import { ECommerceInventoryMockApi } from 'app/mock-api/apps/ecommerce/inventory/api';
import { FileManagerMockApi } from 'app/mock-api/apps/file-manager/api';
import { FinanceMockApi } from 'app/mock-api/dashboards/finance/api';
import { HelpCenterMockApi } from 'app/mock-api/apps/help-center/api';
import { IconsMockApi } from 'app/mock-api/ui/icons/api';
import { MailboxMockApi } from 'app/mock-api/apps/mailbox/api';
import { MemberUserMockApi } from 'app/mock-api/apps/member/user/api';
import { MemberCasinoMoneyMockApi } from './apps/member/casino-money/api';
import { MemberUnconnectedMockApi } from './apps/member/unconnected/api';
import { MemberCurrentUserMockApi } from './apps/member/current-user/api';
import { MemberPartnerMockApi } from './apps/member/partner/api';
import { MemberPartnerMainofficeMockApi } from './apps/member/partner-mainoffice/api';
import { MemberPartnerBranchMockApi } from './apps/member/partner-branch/api';
import { MemberPartnerDivisionMockApi } from './apps/member/partner-division/api';
import { MemberPartnerOfficeMockApi } from './apps/member/partner-office/api';
import { MemberPartnerStoreMockApi } from './apps/member/partner-store/api';
import { MemberPartnerRecommendationMockApi } from './apps/member/partner-recommendation/api';
import { MemberCouponMockApi } from './apps/member/coupon/api';
import { MemberCouponMoneyLogMockApi } from './apps/member/coupon-money-log/api';
import { MemberCouponLogMockApi } from './apps/member/coupon-log/api';
import { MessagesMockApi } from 'app/mock-api/common/messages/api';
import { NavigationMockApi } from 'app/mock-api/common/navigation/api';
import { NotesMockApi } from 'app/mock-api/apps/notes/api';
import { NotificationsMockApi } from 'app/mock-api/common/notifications/api';
import { ProjectMockApi } from 'app/mock-api/dashboards/project/api';
import { SearchMockApi } from 'app/mock-api/common/search/api';
import { ScrumboardMockApi } from 'app/mock-api/apps/scrumboard/api';
import { ShortcutsMockApi } from 'app/mock-api/common/shortcuts/api';
import { TasksMockApi } from 'app/mock-api/apps/tasks/api';
import { UserMockApi } from 'app/mock-api/common/user/api';
import { BankDepositMockApi } from './apps/bank/deposit/api';
import { BankWithdrawMockApi } from './apps/bank/withdraw/api';
import { BankWebCalculateMockApi } from './apps/bank/web-calculate/api';
import { BankPartnerCalculateMockApi } from './apps/bank/partner-calculate/api';
import { GamePowerballMockApi } from './apps/game/powerball/api';
import { GameCasinoMockApi } from './apps/game/casino/api';
import { GameEvolutionMockApi } from './apps/game/evolution/api';
import { GameSlotMockApi } from './apps/game/slot/api';
import { BasicSettingMockApi } from './apps/settings/basic/api';
import { BranchSettingMockApi } from './apps/settings/branch/api';
import { EvoSettingMockApi } from './apps/settings/evo/api';
import { GameSettingMockApi } from './apps/settings/game/api';
import { LadderSettingMockApi } from './apps/settings/ladder/api';
import { IndexingSettingMockApi } from './apps/settings/indexing/api';
import { ReportDailyMockApi } from './apps/report/daily/api';
import { ReportMonthlyMockApi } from './apps/report/monthly/api';
import { ReportDailyPartnerMockApi } from './apps/report/daily-partner/api';
import { ReportTodayBetMockApi } from './apps/report/today-bet/api';
import { ReportStatisticsMockApi } from './apps/report/statistics/api';
import { ReportMoneyLogMockApi } from './apps/report/money-log/api';
import { ReportCompLogMockApi } from './apps/report/comp-log/api';
import { ReportModificationLogMockApi } from './apps/report/modification-log/api';
import { ReportPaymentLogMockApi } from './apps/report/payment-log/api';
import { ReportSessioninInfoMockApi } from './apps/report/sessionin-info/api';
import { ReportSessioninOverlapMockApi } from './apps/report/sessionin-overlap/api';
import { ReportSessioninAdminMockApi } from './apps/report/sessionin-admin/api';
import { ReportExcelLogMockApi } from './apps/report/excel-log/api';
import { ReportLoosingMockApi } from './apps/report/loosing/api';
import { BoardNoticeMockApi } from './apps/board/notice/api';
import { BoardNoticeOnelineMockApi } from './apps/board/notice-oneline/api';
import { BoardPopupMockApi } from './apps/board/popup/api';
import { BoardMessageMockApi } from './apps/board/message/api';
import { BoardCustomerMockApi } from './apps/board/customer/api';
import { BoardCustomerTemplateMockApi } from './apps/board/customer-template/api';

export const mockApiServices = [
  AcademyMockApi,
  ActivitiesMockApi,
  AnalyticsMockApi,
  AuthMockApi,
  ChatMockApi,
  ContactsMockApi,
  CryptoMockApi,
  ECommerceInventoryMockApi,
  FileManagerMockApi,
  FinanceMockApi,
  HelpCenterMockApi,
  IconsMockApi,
  MailboxMockApi,
  MemberUserMockApi,
  MemberCasinoMoneyMockApi,
  MemberUnconnectedMockApi,
  MemberCurrentUserMockApi,
  MemberPartnerMockApi,
  MemberPartnerMainofficeMockApi,
  MemberPartnerBranchMockApi,
  MemberPartnerDivisionMockApi,
  MemberPartnerOfficeMockApi,
  MemberPartnerStoreMockApi,
  MemberPartnerRecommendationMockApi,
  MemberCouponMockApi,
  MemberCouponMoneyLogMockApi,
  MemberCouponLogMockApi,
  MessagesMockApi,
  NavigationMockApi,
  NotesMockApi,
  NotificationsMockApi,
  ProjectMockApi,
  SearchMockApi,
  ScrumboardMockApi,
  ShortcutsMockApi,
  TasksMockApi,
  UserMockApi,
  BankDepositMockApi,
  BankWithdrawMockApi,
  BankWebCalculateMockApi,
  BankPartnerCalculateMockApi,
  GamePowerballMockApi,
  GameCasinoMockApi,
  GameEvolutionMockApi,
  GameSlotMockApi,
  BasicSettingMockApi,
  BranchSettingMockApi,
  EvoSettingMockApi,
  GameSettingMockApi,
  LadderSettingMockApi,
  IndexingSettingMockApi,
  ReportDailyMockApi,
  ReportMonthlyMockApi,
  ReportDailyPartnerMockApi,
  ReportTodayBetMockApi,
  ReportStatisticsMockApi,
  ReportMoneyLogMockApi,
  ReportCompLogMockApi,
  ReportModificationLogMockApi,
  ReportPaymentLogMockApi,
  ReportSessioninInfoMockApi,
  ReportSessioninOverlapMockApi,
  ReportSessioninAdminMockApi,
  ReportExcelLogMockApi,
  ReportLoosingMockApi,
  BoardNoticeMockApi,
  BoardNoticeOnelineMockApi,
  BoardPopupMockApi,
  BoardMessageMockApi,
  BoardCustomerMockApi,
  BoardCustomerTemplateMockApi,
];
